From bd15e4bb4e43e428cd3f051b37d654bf042add02 Mon Sep 17 00:00:00 2001
From: offbyone <bborgsdorf@gmail.com>
Date: Wed, 29 Jun 2011 16:42:23 +0200
Subject: [PATCH 2/2] don't use app.config, use [Executable].config

---
 .../Services/Logging/log4netLogger.cs              |    4 +---
 1 files changed, 1 insertions(+), 3 deletions(-)

diff --git a/MediaPortal/Source/System/MediaPortal.Core/Services/Logging/log4netLogger.cs b/MediaPortal/Source/System/MediaPortal.Core/Services/Logging/log4netLogger.cs
index d66b2f6..6223373 100644
--- a/MediaPortal/Source/System/MediaPortal.Core/Services/Logging/log4netLogger.cs
+++ b/MediaPortal/Source/System/MediaPortal.Core/Services/Logging/log4netLogger.cs
@@ -40,10 +40,8 @@ namespace MediaPortal.Core.Services.Logging
     /// <param name="logPath">Path where the logfiles should be written to.</param>
     public Log4NetLogger(string logPath)
     {
-      string appPath = Path.GetDirectoryName(Application.ExecutablePath);
-
       XmlDocument xmlDoc = new XmlDocument();
-      using (Stream stream = new FileStream(Path.Combine(appPath, "app.config"), FileMode.Open, FileAccess.Read))
+      using (Stream stream = new FileStream(Application.ExecutablePath + ".config", FileMode.Open, FileAccess.Read))
         xmlDoc.Load(stream);
       XmlNodeList nodeList = xmlDoc.SelectNodes("configuration/log4net/appender/file");
       foreach (XmlNode node in nodeList)
-- 
1.7.4.msysgit.0

